Subject: mycology catalog is over 1MB-can't email

From: [email-masked] (Pamela E. Burns-Balogh)
Date: 3 Mar 1995 12:09:31 GMT

we are responding to many users of this bulletin board who requested we
send our catalog to them via email, our mycology catalog is 1133000+
in size and cannot be emailed to you. you can download this via any
communications program from your modem  217-355-4532  takes 20 seconds
to load our comm program so please wait until you see the please wait..
Pamela Burns-Balogh
Koeltz Scientific Books USA
-- 
Koeltz Scientific Books USA